package cli

import (
	"fmt"
	"sevenkeys/logic"
)

var (
	selectedCardPrintingId         string
	selectedCardPrintingSearchLine string
)

func ShowSelectedCard() {
	if selectedCardPrintingId != "" {
		fmt.Println("Selected card:", selectedCardPrintingSearchLine)
	}
}

func StashCliLoop(searchOptions logic.SearchOptions) {
	var command string

	for {
		ShowSelectedCard()
		command = GetStringResponse("SEVENKEYS (stash) $")

		switch command {
		case "back":
			return
		case "search":
			var err error
			selectedCardPrintingId, selectedCardPrintingSearchLine, err = logic.Search(searchOptions)
			logic.Check(err)
			break
		default:
			fmt.Println("Unrecognized command:", command)
		}
	}
}
